## pgtap 1.1.0

=== debian/changelog ===
pgtap (1.1.0-5) unstable; urgency=medium

  * Rules-Requires-Root: no.

 -- Christoph Berg <myon@debian.org>  Thu, 15 Oct 2020 11:51:15 +0200

pgtap (1.1.0-4) unstable; urgency=medium

  * Upload for PostgreSQL 13.
  * Use dh --with pgxs_loop.
  * DH 13.
  * debian/tests: Use installed-versions instead of supported-versions.

 -- Christoph Berg <myon@debian.org>  Thu, 01 Oct 2020 14:48:06 +0200

pgtap (1.1.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Christoph Berg ]
  * Fix Makefile for PG13 compatibility.

 -- Christoph Berg <myon@debian.org>  Mon, 25 May 2020 15:25:41 +0200

pgtap (1.1.0-2) unstable; urgency=medium

  * tests: Tell pgxs.mk that we don't want to install any files.

 -- Christoph Berg <myon@debian.org>  Wed, 27 Nov 2019 11:56:13 +0100

pgtap (1.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Wed, 27 Nov 2019 11:06:07 +0100

pgtap (1.0.0-3) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Mon, 11 Nov 2019 20:35:51 +0100

pgtap (1.0.0-2) unstable; urgency=medium

  * Upload for PostgreSQL 12.
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Tue, 29 Oct 2019 12:02:49 +0100

=== debian/control ===
Source: pgtap
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Pierre Chifflier <pollux@debian.org>,
    Christoph Berg <myon@debian.org>,
    Markus Wanner <markus@bluegap.ch>
Build-Depends: debhelper-compat (= 13),
    postgresql-all (>= 217~),
    libtap-parser-sourcehandler-pgtap-perl,
    libtext-multimarkdown-perl
Standards-Version: 4.5.0
Rules-Requires-Root: no
Section: database
Homepage: https://pgtap.org/
Vcs-Browser: https://salsa.debian.org/postgresql/pgtap
Vcs-Git: https://salsa.debian.org/postgresql/pgtap.git

Package: pgtap
Architecture: all
Depends: ${misc:Depends},
    postgresql-pgtap,
    libtap-parser-sourcehandler-pgtap-perl,
Description: Unit testing framework for PostgreSQL - metapackage
 pgTAP is a suite of database functions that make it easy to write
 TAP-emitting unit tests in psql scripts suitable for harvesting,
 analysis, and reporting by a TAP harness, such as those used in Perl
 and PHP applications.
 .
 TAP is the Test Anything Protocol (http://testanything.org/).
 .
 This metapackage depends on the PostgreSQL extension and the package
 providing pg_prove.

Package: pgtap-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Unit testing framework for PostgreSQL - documentation
 pgTAP is a suite of database functions that make it easy to write
 TAP-emitting unit tests in psql scripts suitable for harvesting,
 analysis, and reporting by a TAP harness, such as those used in Perl
 and PHP applications.
 .
 TAP is the Test Anything Protocol (http://testanything.org/).
 .
 This package contains the documentation for pgTAP.

Package: postgresql-13-pgtap
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
    ${perl:Depends},
    postgresql-13
Replaces: pgtap (<< 0.95)
Breaks: pgtap (<< 0.95)
Recommends: pgtap-doc,
    libtap-parser-sourcehandler-pgtap-perl,
    libtest-harness-perl,
    libtap-harness-archive-perl
Provides: postgresql-pgtap
Description: Unit testing framework extension for PostgreSQL 13
 pgTAP is a suite of database functions that make it easy to write
 TAP-emitting unit tests in psql scripts suitable for harvesting,
 analysis, and reporting by a TAP harness, such as those used in Perl
 and PHP applications.
 .
 TAP is the Test Anything Protocol (http://testanything.org/).
 .
 This package contains the extension for PostgreSQL 13.

=== debian/tests/control ===
Depends: @, postgresql-server-dev-all, postgresql-contrib-13, make, patch
Tests: installcheck
Restrictions: allow-stderr

## pgtap 1.2.0

=== Makefile ===
MAINEXT      = pgtap
EXTENSION    = $(MAINEXT)
EXTVERSION   = $(shell grep default_version $(MAINEXT).control | \
			   sed -e "s/default_version[[:space:]]*=[[:space:]]*'\([^']*\)'/\1/")
DISTVERSION  = $(shell grep -m 1 '[[:space:]]\{3\}"version":' META.json | \
               sed -e 's/[[:space:]]*"version":[[:space:]]*"\([^"]*\)",\{0,1\}/\1/')
NUMVERSION   = $(shell echo $(EXTVERSION) | sed -e 's/\([[:digit:]]*[.][[:digit:]]*\).*/\1/')
VERSION_FILES = sql/$(MAINEXT)--$(EXTVERSION).sql sql/$(MAINEXT)-core--$(EXTVERSION).sql sql/$(MAINEXT)-schema--$(EXTVERSION).sql
BASE_FILES 	 = $(subst --$(EXTVERSION),,$(VERSION_FILES)) sql/uninstall_$(MAINEXT).sql
_IN_FILES 	 = $(wildcard sql/*--*.sql.in)
_IN_PATCHED	 = $(_IN_FILES:.in=)
EXTRA_CLEAN  = $(VERSION_FILES) sql/pgtap.sql sql/uninstall_pgtap.sql sql/pgtap-core.sql sql/pgtap-schema.sql doc/*.html
EXTRA_CLEAN  += $(wildcard sql/*.orig) # These are files left behind by patch
DOCS         = doc/pgtap.mmd
PG_CONFIG   ?= pg_config

#
# Test configuration. This must be done BEFORE including PGXS
#

# If you need to, you can manually pass options to pg_regress with this variable
REGRESS_CONF ?=

# Set this to 1 to force serial test execution; otherwise it will be determined from Postgres max_connections
PARALLEL_CONN ?=

# This controls what version to upgrade FROM when running updatecheck.
UPDATE_FROM ?= 0.95.0

#
# Setup test variables
#
# We use the contents of test/sql to create a parallel test schedule. Note that
# there is additional test setup below this; some variables must be set before
# loading PGXS, some must be set afterwards.
#

# These are test files that need to end up in test/sql to make pg_regress
# happy, but these should NOT be treated as regular regression tests
SCHEDULE_TEST_FILES = $(wildcard test/schedule/*.sql)
SCHEDULE_DEST_FILES = $(subst test/schedule,test/sql,$(SCHEDULE_TEST_FILES))
EXTRA_CLEAN += $(SCHEDULE_DEST_FILES)

# The actual schedule files. Note that we'll build 2 additional files
SCHEDULE_FILES = $(wildcard test/schedule/*.sch)

# These are our actual regression tests
TEST_FILES 	?= $(filter-out $(SCHEDULE_DEST_FILES),$(wildcard test/sql/*.sql))

# Plain test names
ALL_TESTS	= $(notdir $(TEST_FILES:.sql=))

# Some tests fail when run in parallel
SERIAL_TESTS ?= coltap hastap

# Remove tests from SERIAL_TESTS that do not appear in ALL_TESTS
SERIAL_TESTS := $(foreach test,$(SERIAL_TESTS),$(findstring $(test),$(ALL_TESTS)))

# Some tests fail when run by pg_prove
# TODO: The first 2 of these fail because they have tests that intentionally
# fail, which makes pg_prove return a failure. Add a mode to these test files
# that will disable the failure tests.
PG_PROVE_EXCLUDE_TESTS = runjusttests runnotests runtests

# This is a bit of a hack, but if REGRESS isn't set we can't installcheck, and
# it must be set BEFORE including pgxs. Note this gets set again below
REGRESS = --schedule $(TB_DIR)/run.sch

# REMAINING TEST VARIABLES ARE DEFINED IN THE TEST SECTION
# sort is necessary to remove dupes so install won't complain
DATA         = $(sort $(wildcard sql/*--*.sql) $(_IN_PATCHED)) # NOTE! This gets reset below!

# Locate PGXS and pg_config
ifdef NO_PGXS
top_builddir = ../..
PG_CONFIG := $(top_builddir)/src/bin/pg_config/pg_config
else
# Run pg_config to get the PGXS Makefiles
PGXS := $(shell $(PG_CONFIG) --pgxs)
endif

# We need to do various things with the PostgreSQL version.
VERSION = $(shell $(PG_CONFIG) --version | awk '{print $$2}')
$(info )
$(info GNUmake running against Postgres version $(VERSION), with pg_config located at $(shell dirname `command -v "$(PG_CONFIG)"`))
$(info )

#
# Major version check
#
# TODO: update this
# TODO9.1: update the $(TB_DIR) target below when de-supporting 9.1
ifeq ($(shell echo $(VERSION) | grep -qE "^([78][.]|9[.]0)" && echo yes || echo no),yes)
$(error pgTAP requires PostgreSQL 9.1 or later. This is $(VERSION))
endif

# Make sure we build these.
EXTRA_CLEAN += $(_IN_PATCHED)
all: $(_IN_PATCHED) sql/pgtap.sql sql/uninstall_pgtap.sql sql/pgtap-core.sql sql/pgtap-schema.sql

# Add extension build targets on 9.1 and up.
ifeq ($(shell echo $(VERSION) | grep -qE "^(8[.]|9[.]0)" && echo no || echo yes),yes)
all: sql/$(MAINEXT)--$(EXTVERSION).sql sql/$(MAINEXT)-core--$(EXTVERSION).sql sql/$(MAINEXT)-schema--$(EXTVERSION).sql

sql/$(MAINEXT)--$(EXTVERSION).sql: sql/$(MAINEXT).sql
	cp $< $@

sql/$(MAINEXT)-core--$(EXTVERSION).sql: sql/$(MAINEXT)-core.sql
	cp $< $@

sql/$(MAINEXT)-schema--$(EXTVERSION).sql: sql/$(MAINEXT)-schema.sql
	cp $< $@

# sort is necessary to remove dupes so install won't complain
DATA = $(sort $(wildcard sql/*--*.sql) $(BASE_FILES) $(VERSION_FILES) $(_IN_PATCHED))
else
# No extension support, just install the base files.
DATA = $(BASE_FILES)
endif

# Load PGXS now that we've set all the variables it might need.
ifdef NO_PGXS
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
else
include $(PGXS)
endif

#
# DISABLED TESTS
#

# Row security policy tests not supported by 9.4 and earlier.
ifeq ($(shell echo $(VERSION) | grep -qE "^9[.][01234]|8[.]" && echo yes || echo no),yes)
EXCLUDE_TEST_FILES += test/sql/policy.sql
endif

# Partition tests tests not supported by 9.x and earlier.
ifeq ($(shell echo $(VERSION) | grep -qE "^[89][.]" && echo yes || echo no),yes)
EXCLUDE_TEST_FILES += test/sql/partitions.sql
endif

# Stored procecures not supported prior to Postgres 11.
ifeq ($(shell echo $(VERSION) | grep -qE "^([89]|10)[.]" && echo yes || echo no),yes)
EXCLUDE_TEST_FILES += test/sql/proctap.sql
endif

#
# Check for missing extensions
#
# NOTE! This currently MUST be after PGXS! The problem is that
# $(DESTDIR)$(datadir) aren't being expanded.
#
EXTENSION_DIR = $(DESTDIR)$(datadir)/extension
extension_control = $(shell file="$(EXTENSION_DIR)/$1.control"; [ -e "$$file" ] && echo "$$file")
ifeq (,$(call extension_control,citext))
MISSING_EXTENSIONS += citext
endif
ifeq (,$(call extension_control,isn))
MISSING_EXTENSIONS += isn
endif
ifeq (,$(call extension_control,ltree))
MISSING_EXTENSIONS += ltree
endif
EXTENSION_TEST_FILES += test/sql/extension.sql
ifneq (,$(MISSING_EXTENSIONS))
# NOTE: we emit a warning about this down below, but only when we're actually running a test.
EXCLUDE_TEST_FILES += $(EXTENSION_TEST_FILES)
endif

# We need Perl.
ifneq (,$(findstring missing,$(PERL)))
PERL := $(shell command -v perl)
else
ifndef PERL
PERL := $(shell command -v perl)
endif
endif

# Is TAP::Parser::SourceHandler::pgTAP installed?
ifdef PERL
HAVE_HARNESS := $(shell $(PERL) -le 'eval { require TAP::Parser::SourceHandler::pgTAP }; print 1 unless $$@' )
endif

ifndef HAVE_HARNESS
$(warning To use pg_prove, TAP::Parser::SourceHandler::pgTAP Perl module)
$(warning must be installed from CPAN. To do so, simply run:)
$(warning     cpan TAP::Parser::SourceHandler::pgTAP)
endif

# Use a build directory to avoid cluttering up the main repo. (Maybe should just switch to VPATH builds?)
# WARNING! Not everything uses this! TODO: move all targets into $(B_DIR)
B_DIR ?= .build

# Determine the OS. Borrowed from Perl's Configure.
OSNAME := $(shell $(SHELL) tools/getos.sh)

.PHONY: test

# TARGET uninstall-all: remove ALL installed versions of pgTap (rm pgtap*).
# Unlike `make unintall`, this removes pgtap*, not just our defined targets.
# Useful when testing multiple versions of pgtap.
uninstall-all:
	rm -f $(EXTENSION_DIR)/pgtap*

# TODO: switch this whole thing to a perl or shell script that understands the file naming convention and how to compare that to $VERSION.
sql/pgtap.sql: sql/pgtap.sql.in
	cp $< $@
ifeq ($(shell echo $(VERSION) | grep -qE "^(9[.][0123456]|8[.][1234])" && echo yes || echo no),yes)
	patch -p0 < compat/install-9.6.patch
endif
ifeq ($(shell echo $(VERSION) | grep -qE "^(9[.][01234]|8[.][1234])" && echo yes || echo no),yes)
	patch -p0 < compat/install-9.4.patch
endif
ifeq ($(shell echo $(VERSION) | grep -qE "^(9[.][012]|8[.][1234])" && echo yes || echo no),yes)
	patch -p0 < compat/install-9.2.patch
endif
ifeq ($(shell echo $(VERSION) | grep -qE "^(9[.][01]|8[.][1234])" && echo yes || echo no),yes)
	patch -p0 < compat/install-9.1.patch
endif
	sed -e 's,MODULE_PATHNAME,$$libdir/pgtap,g' -e 's,__OS__,$(OSNAME),g' -e 's,__VERSION__,$(NUMVERSION),g' sql/pgtap.sql > sql/pgtap.tmp
	mv sql/pgtap.tmp sql/pgtap.sql

# Ugly hacks for now... TODO: script that understands $VERSION and will apply all the patch files for that version
EXTRA_CLEAN += sql/pgtap--0.99.0--1.0.0.sql
sql/pgtap--0.99.0--1.0.0.sql: sql/pgtap--0.99.0--1.0.0.sql.in
	cp $< $@
ifeq ($(shell echo $(VERSION) | grep -qE "^(9[.][01234]|8[.][1234])" && echo yes || echo no),yes)
	patch -p0 < compat/9.4/pgtap--0.99.0--1.0.0.patch
endif

EXTRA_CLEAN += sql/pgtap--0.98.0--0.99.0.sql
sql/pgtap--0.98.0--0.99.0.sql: sql/pgtap--0.98.0--0.99.0.sql.in
	cp $< $@
ifeq ($(shell echo $(VERSION) | grep -qE "^([89]|10)[.]" && echo yes || echo no),yes)
	patch -p0 < compat/10/pgtap--0.98.0--0.99.0.patch
endif

EXTRA_CLEAN += sql/pgtap--0.97.0--0.98.0.sql
sql/pgtap--0.97.0--0.98.0.sql: sql/pgtap--0.97.0--0.98.0.sql.in
	cp $< $@
ifeq ($(shell echo $(VERSION) | grep -qE "^[89][.]" && echo yes || echo no),yes)
	patch -p0 < compat/9.6/pgtap--0.97.0--0.98.0.patch
endif

EXTRA_CLEAN += sql/pgtap--0.96.0--0.97.0.sql
sql/pgtap--0.96.0--0.97.0.sql: sql/pgtap--0.96.0--0.97.0.sql.in
	cp $< $@
ifeq ($(shell echo $(VERSION) | grep -qE "^(9[.][01234]|8[.][1234])" && echo yes || echo no),yes)
	patch -p0 < compat/9.4/pgtap--0.96.0--0.97.0.patch
endif
ifeq ($(shell echo $(VERSION) | grep -qE "^(9[.]0|8[.][1234])" && echo yes || echo no),yes)
	patch -p0 < compat/9.0/pgtap--0.96.0--0.97.0.patch
endif

EXTRA_CLEAN += sql/pgtap--0.95.0--0.96.0.sql
sql/pgtap--0.95.0--0.96.0.sql: sql/pgtap--0.95.0--0.96.0.sql.in
	cp $< $@
ifeq ($(shell echo $(VERSION) | grep -qE "^(9[.][012]|8[.][1234])" && echo yes || echo no),yes)
	patch -p0 < compat/9.2/pgtap--0.95.0--0.96.0.patch
endif

sql/uninstall_pgtap.sql: sql/pgtap.sql test/setup.sql
	grep '^CREATE ' sql/pgtap.sql | $(PERL) -e 'for (reverse <STDIN>) { chomp; s/CREATE (OR REPLACE )?/DROP /; print "$$_;\n" }' | sed 's/DROP \(FUNCTION\|VIEW\|TYPE\) /DROP \1 IF EXISTS /' | sed -E 's/ (DEFAULT|=)[ ]+[a-zA-Z0-9]+//g' > sql/uninstall_pgtap.sql

#
# Support for static install files
#

# The use of $@.tmp is to eliminate the possibility of leaving an invalid pgtap-static.sql in case the recipe fails part-way through.
# TODO: the sed command needs the equivalent of bash's PIPEFAIL; should just replace this with some perl magic
sql/pgtap-static.sql: sql/pgtap.sql.in
	cp $< $@.tmp
	@for p in `ls compat/install-*.patch | sort -rn`; do \
		echo; echo '***' "Patching pgtap-static.sql with $$p"; \
		sed -e 's#sql/pgtap.sql#sql/pgtap-static.sql.tmp#g' "$$p" | patch -p0; \
	done
	sed -e 's#MODULE_PATHNAME#$$libdir/pgtap#g' -e 's#__OS__#$(OSNAME)#g' -e 's#__VERSION__#$(NUMVERSION)#g' $@.tmp > $@
EXTRA_CLEAN += sql/pgtap-static.sql sql/pgtap-static.sql.tmp

sql/pgtap-core.sql: sql/pgtap-static.sql compat/gencore
	$(PERL) compat/gencore 0 sql/pgtap-static.sql > sql/pgtap-core.sql

sql/pgtap-schema.sql: sql/pgtap-static.sql compat/gencore
	$(PERL) compat/gencore 1 sql/pgtap-static.sql > sql/pgtap-schema.sql

$(B_DIR)/static/: $(B_DIR)
	mkdir -p $@

# We don't lump this in with the $(B_DIR)/static target because that would run the risk of a failure of the cp command leaving an empty directory behind
$(B_DIR)/static/%/: %/ $(B_DIR)/static
	cp -R $< $@

# Make sure that we build the regression tests.
installcheck: test/setup.sql

html:
	multimarkdown doc/pgtap.mmd > doc/pgtap.html
	tools/tocgen doc/pgtap.html 2> doc/toc.html
	perl -MPod::Simple::XHTML -E "my \$$p = Pod::Simple::XHTML->new; \$$p->html_header_tags('<meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">'); \$$p->strip_verbatim_indent(sub { my \$$l = shift; (my \$$i = \$$l->[0]) =~ s/\\S.*//; \$$i }); \$$p->parse_from_file('`perldoc -l pg_prove`')" > doc/pg_prove.html

#
# Actual test targets
#

=== debian/changelog ===
pgtap (1.2.0-3) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Sat, 22 Oct 2022 14:18:34 +0200

pgtap (1.2.0-2) unstable; urgency=medium

  * Upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Thu, 20 Oct 2022 15:25:21 +0200

pgtap (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0.

 -- Christoph Berg <myon@debian.org>  Mon, 06 Dec 2021 12:05:39 +0100

pgtap (1.1.0-7) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Wed, 10 Nov 2021 12:31:50 +0100

pgtap (1.1.0-6) unstable; urgency=medium

  * Pull patch from upstream to support PostgreSQL 14.
  * Replace uses of `which` by `command -v.

 -- Christoph Berg <myon@debian.org>  Mon, 08 Nov 2021 11:17:55 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
     postgresql-all (>= 217~),
     libtap-parser-sourcehandler-pgtap-perl,
     libtext-multimarkdown-perl
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Section: database
 Homepage: https://pgtap.org/
@@ -46,11 +46,11 @@
  .
  This package contains the documentation for pgTAP.
 
-Package: postgresql-13-pgtap
+Package: postgresql-15-pgtap
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends},
     ${perl:Depends},
-    postgresql-13
+    postgresql-15
 Replaces: pgtap (<< 0.95)
 Breaks: pgtap (<< 0.95)
 Recommends: pgtap-doc,
@@ -58,7 +58,7 @@
     libtest-harness-perl,
     libtap-harness-archive-perl
 Provides: postgresql-pgtap
-Description: Unit testing framework extension for PostgreSQL 13
+Description: Unit testing framework extension for PostgreSQL 15
  pgTAP is a suite of database functions that make it easy to write
  TAP-emitting unit tests in psql scripts suitable for harvesting,
  analysis, and reporting by a TAP harness, such as those used in Perl
@@ -66,4 +66,4 @@
  .
  TAP is the Test Anything Protocol (http://testanything.org/).
  .
- This package contains the extension for PostgreSQL 13.
+ This package contains the extension for PostgreSQL 15.

=== debian/tests/control ===
Depends: @, postgresql-server-dev-all, postgresql-contrib-15, make, patch
Tests: installcheck
Restrictions: allow-stderr

## pgtap 1.3.0

=== Makefile ===
--- 
+++ 
@@ -261,7 +261,7 @@
 endif
 
 sql/uninstall_pgtap.sql: sql/pgtap.sql test/setup.sql
-	grep '^CREATE ' sql/pgtap.sql | $(PERL) -e 'for (reverse <STDIN>) { chomp; s/CREATE (OR REPLACE )?/DROP /; print "$$_;\n" }' | sed 's/DROP \(FUNCTION\|VIEW\|TYPE\) /DROP \1 IF EXISTS /' | sed -E 's/ (DEFAULT|=)[ ]+[a-zA-Z0-9]+//g' > sql/uninstall_pgtap.sql
+	$(PERL) -e 'for (grep { /^CREATE /} reverse <>) { chomp; s/CREATE (OR REPLACE )?/DROP /; s/DROP (FUNCTION|VIEW|TYPE) /DROP $$1 IF EXISTS /; s/ (DEFAULT|=)[ ]+[a-zA-Z0-9]+//g; print "$$_;\n" }' $< > $@
 
 #
 # Support for static install files

=== debian/changelog ===
pgtap (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0.

 -- Christoph Berg <myon@debian.org>  Tue, 15 Aug 2023 10:38:25 +0200

## pgtap 1.3.2

=== debian/changelog ===
pgtap (1.3.2-2) unstable; urgency=medium

  * Mark package as Arch: all again, .so is gone again.

 -- Christoph Berg <myon@debian.org>  Sat, 10 Feb 2024 18:40:04 +0100

pgtap (1.3.2-1) unstable; urgency=medium

  * New upstream version 1.3.2.

 -- Christoph Berg <myon@debian.org>  Fri, 09 Feb 2024 12:24:33 +0100

pgtap (1.3.1-2) unstable; urgency=medium

  * pgtap ships a .so file, mark as arch: any.

 -- Christoph Berg <myon@debian.org>  Mon, 02 Oct 2023 09:46:29 +0200

pgtap (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1.
  * Run install-time tests using pg_prove.

 -- Christoph Berg <myon@debian.org>  Fri, 29 Sep 2023 16:13:58 +0200

pgtap (1.3.0-3) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Tue, 19 Sep 2023 15:39:46 +0200

pgtap (1.3.0-2) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.
  * debian/tests: Drop postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Sat, 16 Sep 2023 15:21:07 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
     postgresql-all (>= 217~),
     libtap-parser-sourcehandler-pgtap-perl,
     libtext-multimarkdown-perl
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: database
 Homepage: https://pgtap.org/
@@ -46,11 +46,11 @@
  .
  This package contains the documentation for pgTAP.
 
-Package: postgresql-15-pgtap
+Package: postgresql-16-pgtap
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends},
     ${perl:Depends},
-    postgresql-15
+    ${postgresql:Depends}
 Replaces: pgtap (<< 0.95)
 Breaks: pgtap (<< 0.95)
 Recommends: pgtap-doc,
@@ -58,7 +58,7 @@
     libtest-harness-perl,
     libtap-harness-archive-perl
 Provides: postgresql-pgtap
-Description: Unit testing framework extension for PostgreSQL 15
+Description: Unit testing framework extension for PostgreSQL 16
  pgTAP is a suite of database functions that make it easy to write
  TAP-emitting unit tests in psql scripts suitable for harvesting,
  analysis, and reporting by a TAP harness, such as those used in Perl
@@ -66,4 +66,4 @@
  .
  TAP is the Test Anything Protocol (http://testanything.org/).
  .
- This package contains the extension for PostgreSQL 15.
+ This package contains the extension for PostgreSQL 16.

=== debian/tests/control ===
Depends: @, libtap-parser-sourcehandler-pgtap-perl, make, postgresql-contrib-16, patch
Tests: installcheck
Restrictions: allow-stderr

## pgtap 1.3.3

=== debian/changelog ===
pgtap (1.3.3-3.pgdg25.04+1) plucky-pgdg; urgency=medium

  * Rebuild for plucky-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 11 Sep 2024 23:12:28 +0200

pgtap (1.3.3-3) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Wed, 11 Sep 2024 23:12:28 +0200

pgtap (1.3.3-2) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Tue, 10 Sep 2024 23:18:58 +0200

pgtap (1.3.3-1) unstable; urgency=medium

  * New upstream version 1.3.3.

 -- Christoph Berg <myon@debian.org>  Wed, 17 Apr 2024 23:19:04 +0200

=== debian/control ===
Source: pgtap
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Pierre Chifflier <pollux@debian.org>,
 Christoph Berg <myon@debian.org>,
 Markus Wanner <markus@bluegap.ch>,
Build-Depends:
 debhelper-compat (= 13),
 libtap-parser-sourcehandler-pgtap-perl,
 libtext-multimarkdown-perl,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all (>= 217~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Section: database
Homepage: https://pgtap.org/
Vcs-Browser: https://salsa.debian.org/postgresql/pgtap
Vcs-Git: https://salsa.debian.org/postgresql/pgtap.git

Package: pgtap
Architecture: all
Depends:
 libtap-parser-sourcehandler-pgtap-perl,
 postgresql-pgtap,
 ${misc:Depends},
Description: Unit testing framework for PostgreSQL - metapackage
 pgTAP is a suite of database functions that make it easy to write
 TAP-emitting unit tests in psql scripts suitable for harvesting,
 analysis, and reporting by a TAP harness, such as those used in Perl
 and PHP applications.
 .
 TAP is the Test Anything Protocol (http://testanything.org/).
 .
 This metapackage depends on the PostgreSQL extension and the package
 providing pg_prove.

Package: pgtap-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Unit testing framework for PostgreSQL - documentation
 pgTAP is a suite of database functions that make it easy to write
 TAP-emitting unit tests in psql scripts suitable for harvesting,
 analysis, and reporting by a TAP harness, such as those used in Perl
 and PHP applications.
 .
 TAP is the Test Anything Protocol (http://testanything.org/).
 .
 This package contains the documentation for pgTAP.

Package: postgresql-10-pgtap
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Replaces:
 pgtap (<< 0.95),
Breaks:
 pgtap (<< 0.95),
Recommends:
 libtap-harness-archive-perl,
 libtap-parser-sourcehandler-pgtap-perl,
 libtest-harness-perl,
 pgtap-doc,
Provides:
 postgresql-pgtap,
Description: Unit testing framework extension for PostgreSQL 10
 pgTAP is a suite of database functions that make it easy to write
 TAP-emitting unit tests in psql scripts suitable for harvesting,
 analysis, and reporting by a TAP harness, such as those used in Perl
 and PHP applications.
 .
 TAP is the Test Anything Protocol (http://testanything.org/).
 .
 This package contains the extension for PostgreSQL 10.

Package: postgresql-11-pgtap
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Replaces:
 pgtap (<< 0.95),
Breaks:
 pgtap (<< 0.95),
Recommends:
 libtap-harness-archive-perl,
 libtap-parser-sourcehandler-pgtap-perl,
 libtest-harness-perl,
 pgtap-doc,
Provides:
 postgresql-pgtap,
Description: Unit testing framework extension for PostgreSQL 11
 pgTAP is a suite of database functions that make it easy to write
 TAP-emitting unit tests in psql scripts suitable for harvesting,
 analysis, and reporting by a TAP harness, such as those used in Perl
 and PHP applications.
 .
 TAP is the Test Anything Protocol (http://testanything.org/).
 .
 This package contains the extension for PostgreSQL 11.

Package: postgresql-12-pgtap
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Replaces:
 pgtap (<< 0.95),
Breaks:
 pgtap (<< 0.95),
Recommends:
 libtap-harness-archive-perl,
 libtap-parser-sourcehandler-pgtap-perl,
 libtest-harness-perl,
 pgtap-doc,
Provides:
 postgresql-pgtap,
Description: Unit testing framework extension for PostgreSQL 12
 pgTAP is a suite of database functions that make it easy to write
 TAP-emitting unit tests in psql scripts suitable for harvesting,
 analysis, and reporting by a TAP harness, such as those used in Perl
 and PHP applications.
 .
 TAP is the Test Anything Protocol (http://testanything.org/).
 .
 This package contains the extension for PostgreSQL 12.

Package: postgresql-13-pgtap
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Replaces:
 pgtap (<< 0.95),
Breaks:
 pgtap (<< 0.95),
Recommends:
 libtap-harness-archive-perl,
 libtap-parser-sourcehandler-pgtap-perl,
 libtest-harness-perl,
 pgtap-doc,
Provides:
 postgresql-pgtap,
Description: Unit testing framework extension for PostgreSQL 13
 pgTAP is a suite of database functions that make it easy to write
 TAP-emitting unit tests in psql scripts suitable for harvesting,
 analysis, and reporting by a TAP harness, such as those used in Perl
 and PHP applications.
 .
 TAP is the Test Anything Protocol (http://testanything.org/).
 .
 This package contains the extension for PostgreSQL 13.

Package: postgresql-14-pgtap
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Replaces:
 pgtap (<< 0.95),
Breaks:
 pgtap (<< 0.95),
Recommends:
 libtap-harness-archive-perl,
 libtap-parser-sourcehandler-pgtap-perl,
 libtest-harness-perl,
 pgtap-doc,
Provides:
 postgresql-pgtap,
Description: Unit testing framework extension for PostgreSQL 14
 pgTAP is a suite of database functions that make it easy to write
 TAP-emitting unit tests in psql scripts suitable for harvesting,
 analysis, and reporting by a TAP harness, such as those used in Perl
 and PHP applications.
 .
 TAP is the Test Anything Protocol (http://testanything.org/).
 .
 This package contains the extension for PostgreSQL 14.

Package: postgresql-15-pgtap
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Replaces:
 pgtap (<< 0.95),
Breaks:
 pgtap (<< 0.95),
Recommends:
 libtap-harness-archive-perl,
 libtap-parser-sourcehandler-pgtap-perl,
 libtest-harness-perl,
 pgtap-doc,
Provides:
 postgresql-pgtap,
Description: Unit testing framework extension for PostgreSQL 15
 pgTAP is a suite of database functions that make it easy to write
 TAP-emitting unit tests in psql scripts suitable for harvesting,
 analysis, and reporting by a TAP harness, such as those used in Perl
 and PHP applications.
 .
 TAP is the Test Anything Protocol (http://testanything.org/).
 .
 This package contains the extension for PostgreSQL 15.

Package: postgresql-16-pgtap
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Replaces:
 pgtap (<< 0.95),
Breaks:
 pgtap (<< 0.95),
Recommends:
 libtap-harness-archive-perl,
 libtap-parser-sourcehandler-pgtap-perl,
 libtest-harness-perl,
 pgtap-doc,
Provides:
 postgresql-pgtap,
Description: Unit testing framework extension for PostgreSQL 16
 pgTAP is a suite of database functions that make it easy to write
 TAP-emitting unit tests in psql scripts suitable for harvesting,
 analysis, and reporting by a TAP harness, such as those used in Perl
 and PHP applications.
 .
 TAP is the Test Anything Protocol (http://testanything.org/).
 .
 This package contains the extension for PostgreSQL 16.

Package: postgresql-17-pgtap
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Replaces:
 pgtap (<< 0.95),
Breaks:
 pgtap (<< 0.95),
Recommends:
 libtap-harness-archive-perl,
 libtap-parser-sourcehandler-pgtap-perl,
 libtest-harness-perl,
 pgtap-doc,
Provides:
 postgresql-pgtap,
Description: Unit testing framework extension for PostgreSQL 17
 pgTAP is a suite of database functions that make it easy to write
 TAP-emitting unit tests in psql scripts suitable for harvesting,
 analysis, and reporting by a TAP harness, such as those used in Perl
 and PHP applications.
 .
 TAP is the Test Anything Protocol (http://testanything.org/).
 .
 This package contains the extension for PostgreSQL 17.

=== debian/tests/control ===
Depends: @, libtap-parser-sourcehandler-pgtap-perl, make, postgresql-contrib-10, postgresql-contrib-11, postgresql-contrib-12, postgresql-contrib-13, postgresql-contrib-14, postgresql-contrib-15, postgresql-contrib-16, postgresql-contrib-17, patch
Tests: installcheck
Restrictions: allow-stderr

## pgtap 1.3.4

=== Makefile ===
--- 
+++ 
@@ -98,8 +98,7 @@
 EXTRA_CLEAN += $(_IN_PATCHED)
 all: $(_IN_PATCHED) sql/pgtap.sql sql/uninstall_pgtap.sql sql/pgtap-core.sql sql/pgtap-schema.sql
 
-# Add extension build targets on 9.1 and up.
-ifeq ($(shell echo $(VERSION) | grep -qE "^(8[.]|9[.]0)" && echo no || echo yes),yes)
+# Add extension build targets.
 all: sql/$(MAINEXT)--$(EXTVERSION).sql sql/$(MAINEXT)-core--$(EXTVERSION).sql sql/$(MAINEXT)-schema--$(EXTVERSION).sql
 
 sql/$(MAINEXT)--$(EXTVERSION).sql: sql/$(MAINEXT).sql
@@ -113,10 +112,6 @@
 
 # sort is necessary to remove dupes so install won't complain
 DATA = $(sort $(wildcard sql/*--*.sql) $(BASE_FILES) $(VERSION_FILES) $(_IN_PATCHED))
-else
-# No extension support, just install the base files.
-DATA = $(BASE_FILES)
-endif
 
 # Load PGXS now that we've set all the variables it might need.
 ifdef NO_PGXS
@@ -131,17 +126,17 @@
 #
 
 # Row security policy tests not supported by 9.4 and earlier.
-ifeq ($(shell echo $(VERSION) | grep -qE "^9[.][01234]|8[.]" && echo yes || echo no),yes)
+ifeq ($(shell echo $(VERSION) | grep -qE "^9[.][01234]" && echo yes || echo no),yes)
 EXCLUDE_TEST_FILES += test/sql/policy.sql
 endif
 
 # Partition tests tests not supported by 9.x and earlier.
-ifeq ($(shell echo $(VERSION) | grep -qE "^[89][.]" && echo yes || echo no),yes)
+ifeq ($(shell echo $(VERSION) | grep -qE "^9[.]" && echo yes || echo no),yes)
 EXCLUDE_TEST_FILES += test/sql/partitions.sql
 endif
 
-# Stored procecures not supported prior to Postgres 11.
-ifeq ($(shell echo $(VERSION) | grep -qE "^([89]|10)[.]" && echo yes || echo no),yes)
+# Stored procedures not supported prior to Postgres 11.
+ifeq ($(shell echo $(VERSION) | grep -qE "^(9|10)[.]" && echo yes || echo no),yes)
 EXCLUDE_TEST_FILES += test/sql/proctap.sql
 endif
 
@@ -204,59 +199,57 @@
 	rm -f $(EXTENSION_DIR)/pgtap*
 
 # TODO: switch this whole thing to a perl or shell script that understands the file naming convention and how to compare that to $VERSION.
+# VERSION = 9.1.0 # Uncomment to test all patches.
 sql/pgtap.sql: sql/pgtap.sql.in
 	cp $< $@
-ifeq ($(shell echo $(VERSION) | grep -qE "^(9[.][0123456]|8[.][1234])" && echo yes || echo no),yes)
+ifeq ($(shell echo $(VERSION) | grep -qE "^9[.][0123456]" && echo yes || echo no),yes)
 	patch -p0 < compat/install-9.6.patch
 endif
-ifeq ($(shell echo $(VERSION) | grep -qE "^(9[.][01234]|8[.][1234])" && echo yes || echo no),yes)
+ifeq ($(shell echo $(VERSION) | grep -qE "^9[.][01234]" && echo yes || echo no),yes)
 	patch -p0 < compat/install-9.4.patch
 endif
-ifeq ($(shell echo $(VERSION) | grep -qE "^(9[.][012]|8[.][1234])" && echo yes || echo no),yes)
+ifeq ($(shell echo $(VERSION) | grep -qE "^9[.][012]" && echo yes || echo no),yes)
 	patch -p0 < compat/install-9.2.patch
 endif
-ifeq ($(shell echo $(VERSION) | grep -qE "^(9[.][01]|8[.][1234])" && echo yes || echo no),yes)
+ifeq ($(shell echo $(VERSION) | grep -qE "^9[.][01]" && echo yes || echo no),yes)
 	patch -p0 < compat/install-9.1.patch
 endif
-	sed -e 's,MODULE_PATHNAME,$$libdir/pgtap,g' -e 's,__OS__,$(OSNAME),g' -e 's,__VERSION__,$(NUMVERSION),g' sql/pgtap.sql > sql/pgtap.tmp
+	sed -e 's,MODULE_PATHNAME,pgtap,g' -e 's,__OS__,$(OSNAME),g' -e 's,__VERSION__,$(NUMVERSION),g' sql/pgtap.sql > sql/pgtap.tmp
 	mv sql/pgtap.tmp sql/pgtap.sql
 
 # Ugly hacks for now... TODO: script that understands $VERSION and will apply all the patch files for that version
 EXTRA_CLEAN += sql/pgtap--0.99.0--1.0.0.sql
 sql/pgtap--0.99.0--1.0.0.sql: sql/pgtap--0.99.0--1.0.0.sql.in
 	cp $< $@
-ifeq ($(shell echo $(VERSION) | grep -qE "^(9[.][01234]|8[.][1234])" && echo yes || echo no),yes)
+ifeq ($(shell echo $(VERSION) | grep -qE "^9[.][01234]" && echo yes || echo no),yes)
 	patch -p0 < compat/9.4/pgtap--0.99.0--1.0.0.patch
 endif
 
 EXTRA_CLEAN += sql/pgtap--0.98.0--0.99.0.sql
 sql/pgtap--0.98.0--0.99.0.sql: sql/pgtap--0.98.0--0.99.0.sql.in
 	cp $< $@
-ifeq ($(shell echo $(VERSION) | grep -qE "^([89]|10)[.]" && echo yes || echo no),yes)
+ifeq ($(shell echo $(VERSION) | grep -qE "^(9|10)[.]" && echo yes || echo no),yes)
 	patch -p0 < compat/10/pgtap--0.98.0--0.99.0.patch
 endif
 
 EXTRA_CLEAN += sql/pgtap--0.97.0--0.98.0.sql
 sql/pgtap--0.97.0--0.98.0.sql: sql/pgtap--0.97.0--0.98.0.sql.in
 	cp $< $@
-ifeq ($(shell echo $(VERSION) | grep -qE "^[89][.]" && echo yes || echo no),yes)
+ifeq ($(shell echo $(VERSION) | grep -qE "^9[.]" && echo yes || echo no),yes)
 	patch -p0 < compat/9.6/pgtap--0.97.0--0.98.0.patch
 endif
 
 EXTRA_CLEAN += sql/pgtap--0.96.0--0.97.0.sql
 sql/pgtap--0.96.0--0.97.0.sql: sql/pgtap--0.96.0--0.97.0.sql.in
 	cp $< $@
-ifeq ($(shell echo $(VERSION) | grep -qE "^(9[.][01234]|8[.][1234])" && echo yes || echo no),yes)
+ifeq ($(shell echo $(VERSION) | grep -qE "^9[.][01234]" && echo yes || echo no),yes)
 	patch -p0 < compat/9.4/pgtap--0.96.0--0.97.0.patch
-endif
-ifeq ($(shell echo $(VERSION) | grep -qE "^(9[.]0|8[.][1234])" && echo yes || echo no),yes)
-	patch -p0 < compat/9.0/pgtap--0.96.0--0.97.0.patch
 endif
 
 EXTRA_CLEAN += sql/pgtap--0.95.0--0.96.0.sql
 sql/pgtap--0.95.0--0.96.0.sql: sql/pgtap--0.95.0--0.96.0.sql.in
 	cp $< $@
-ifeq ($(shell echo $(VERSION) | grep -qE "^(9[.][012]|8[.][1234])" && echo yes || echo no),yes)
+ifeq ($(shell echo $(VERSION) | grep -qE "^9[.][012]" && echo yes || echo no),yes)
 	patch -p0 < compat/9.2/pgtap--0.95.0--0.96.0.patch
 endif
 
@@ -303,3 +296,11 @@
 # Actual test targets
 #
 
+# TARGET regress: run installcheck then print any diffs from expected output.
+.PHONY: regress
+regress: installcheck_deps
+	$(MAKE) installcheck || ([ -e regression.diffs ] && $${PAGER:-cat} regression.diffs; exit 1)
+
+# TARGET updatecheck: install an older version of pgTap from PGXN (controlled by $UPDATE_FROM; 0.95.0 by default), update to the current version via ALTER EXTENSION, then run installcheck.
+.PHONY: updatecheck
+updatecheck: updatecheck_deps install

=== debian/changelog ===
pgtap (1.3.4-1) unstable; urgency=medium

  * New upstream version 1.3.4.
  * Upload for PostgreSQL 18. (Closes: #1117313)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 13:19:50 +0000

=== debian/control ===
Source: pgtap
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Pierre Chifflier <pollux@debian.org>,
 Christoph Berg <myon@debian.org>,
 Markus Wanner <markus@bluegap.ch>,
Build-Depends:
 debhelper-compat (= 13),
 libtap-parser-sourcehandler-pgtap-perl,
 libtext-multimarkdown-perl,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all (>= 217~),
Standards-Version: 4.7.2
Section: database
Homepage: https://pgtap.org/
Vcs-Browser: https://salsa.debian.org/postgresql/pgtap
Vcs-Git: https://salsa.debian.org/postgresql/pgtap.git

Package: pgtap
Architecture: all
Depends:
 libtap-parser-sourcehandler-pgtap-perl,
 postgresql-pgtap,
 ${misc:Depends},
Description: Unit testing framework for PostgreSQL - metapackage
 pgTAP is a suite of database functions that make it easy to write
 TAP-emitting unit tests in psql scripts suitable for harvesting,
 analysis, and reporting by a TAP harness, such as those used in Perl
 and PHP applications.
 .
 TAP is the Test Anything Protocol (http://testanything.org/).
 .
 This metapackage depends on the PostgreSQL extension and the package
 providing pg_prove.

Package: pgtap-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Unit testing framework for PostgreSQL - documentation
 pgTAP is a suite of database functions that make it easy to write
 TAP-emitting unit tests in psql scripts suitable for harvesting,
 analysis, and reporting by a TAP harness, such as those used in Perl
 and PHP applications.
 .
 TAP is the Test Anything Protocol (http://testanything.org/).
 .
 This package contains the documentation for pgTAP.

Package: postgresql-18-pgtap
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Recommends:
 libtap-harness-archive-perl,
 libtap-parser-sourcehandler-pgtap-perl,
 libtest-harness-perl,
 pgtap-doc,
Provides:
 postgresql-pgtap,
Description: Unit testing framework extension for PostgreSQL 18
 pgTAP is a suite of database functions that make it easy to write
 TAP-emitting unit tests in psql scripts suitable for harvesting,
 analysis, and reporting by a TAP harness, such as those used in Perl
 and PHP applications.
 .
 TAP is the Test Anything Protocol (http://testanything.org/).
 .
 This package contains the extension for PostgreSQL 18.

=== debian/rules ===
#!/usr/bin/make -f
# Written by Pierre Chifflier <pollux@debian.org> and
#            Markus Wanner <markus@bluegap.ch>

%:
	dh $@ --with pgxs_loop

override_dh_installdocs:
	# build docs here because "pg_buildext loop" invokes "make clean"
	$(MAKE) html
	dh_installdocs
	# remove extra documentation copies
	rm -rf debian/*/usr/share/doc/postgresql-doc-*/

=== debian/tests/control ===
Depends:
 libtap-parser-sourcehandler-pgtap-perl,
 patch,
 postgresql-common-dev,
 postgresql-contrib-18,
 @,
Tests:
 installcheck,
Restrictions:
 allow-stderr,

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pgtap-$1\.tar\.gz/ \
 https://github.com/theory/pgtap/tags .*/v?(\d\S*)\.tar\.gz
